=== debian/rules ===
#!/usr/bin/make -f

DEBIAN  := $(shell dpkg-parsechangelog | grep ^Version: | cut -d' ' -f2)
DEBVERS := $(shell echo '$(DEBIAN)' | cut -d- -f1)
VERSION := $(shell echo '$(DEBVERS)' | sed -e 's/[+-].*//' -e 's/~//g')

#export DH_VERBOSE=1
export DEB_BUILD_HARDENING=1


%:
	dh $@ --with=systemd --with autoreconf --fail-missing

override_dh_strip:
	dh_strip --dbg-package=osmo-pcu-dbg

override_dh_autoreconf:
	echo $(VERSION) > .tarball-version
	dh_autoreconf
