## osmo-pcu 0.4.0

=== debian/changelog ===
osmo-pcu (0.4.0-3) unstable; urgency=medium

  * debian/rules: deactivate tests for BE for now
  * debian/control: rework VCS URLs

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 19 Apr 2018 19:07:49 +0200

osmo-pcu (0.4.0-2) unstable; urgency=medium

  * move to unstable
  * debian/control: move to debian-mobcom maintainer
  * debian/control: add salsa URLs
  * debian/control: use dh11
  * debian/control: bump standard to 4.1.4 (no changes)
  * debian/rules: remove --with=systemd

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 11 Apr 2018 19:07:49 +0200

osmo-pcu (0.4.0-1) experimental; urgency=medium

  * Initial release.

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 12 Dec 2017 19:07:49 +0100
