## osmo-pcu 0.5.1

=== debian/changelog ===
osmo-pcu (0.5.1-1) unstable; urgency=medium

  * Upload to unstable
  * debian/patches/spelling.patch
    - Fix more spelling errors and refresh patch file with 'gbp pq'.

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 06 Oct 2018 10:49:01 +0200

osmo-pcu (0.5.1-1~exp1) experimental; urgency=medium

  * New upstream release
  * debian/control:
    - Added myself as uploader
    - Bump version for build-dependency libosmocore-dev
    - New standards version 4.2.1 - no changes
  * debian/gbp.conf: to enforce pristine-tar when using gbp
  * debian/rules:
    - Generate .tarball-version in override_dh_autoreconf and delete it in
      override_dh_clean
    - Do not enable or start the systemd service by default on install
  * debian/tests: Added autopkgtest to verify 'osmo-pcu -h'

 -- Ruben Undheim <ruben.undheim@gmail.com>  Tue, 02 Oct 2018 08:26:22 +0200

osmo-pcu (0.5.0-1) experimental; urgency=medium

  * New upstream release

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 16 May 2018 19:53:42 +0200
