=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: net
 Priority: optional
 Maintainer: Debian Mobcom Maintainers <Debian-mobcom-maintainers@lists.alioth.debian.org>
-Uploaders: Thorsten Alteholz <debian@alteholz.de>
+Uploaders: Thorsten Alteholz <debian@alteholz.de>,
+           Ruben Undheim <ruben.undheim@gmail.com>
 Build-Depends: debhelper (>= 11),
                pkg-config,
-               libosmocore-dev (>= 0.10.1)
-Standards-Version: 4.1.4
+               libosmocore-dev (>= 0.12.0)
+Standards-Version: 4.2.1
 Homepage: http://osmocom.org/projects/osmopcu
 Vcs-Browser: https://salsa.debian.org/debian-mobcom-team/osmo-pcu
 Vcs-Git: https://salsa.debian.org/debian-mobcom-team/osmo-pcu.git
