=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #!/usr/bin/make -f
 
 #export DH_VERBOSE=1
+
+include /usr/share/dpkg/pkg-info.mk
+
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 arch = $(shell dpkg-architecture -qDEB_BUILD_ARCH)
@@ -8,10 +11,16 @@
 %:
 	dh $@ --with autoreconf --fail-missing
 
+
+override_dh_autoreconf:
+	echo $(DEB_VERSION_UPSTREAM) > .tarball-version
+	dh_autoreconf
+
 override_dh_clean:
 	dh_clean
 	$(RM) tests/package.m4
-	$(RM) test/testsuite
+	$(RM) tests/testsuite
+	$(RM) .tarball-version
 
 # Print test results in case of a failure
 override_dh_auto_test:
@@ -28,3 +37,5 @@
 	   dh_auto_test || (find . -name testsuite.log -exec cat {} \; ; false) \
 	fi
 
+override_dh_installsystemd:
+	dh_installsystemd --no-enable --no-start
