## osmo-pcu 0.8.0

=== debian/changelog ===
osmo-pcu (0.8.0-3) unstable; urgency=medium

  * upload to unstable
  * mark test as superficial (Closes: #971491)

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 09 Dec 2020 18:03:38 +0100

osmo-pcu (0.8.0-2) experimental; urgency=medium

  * debian/patches: take care of endianness in header file

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 01 Dec 2020 19:03:38 +0100

osmo-pcu (0.8.0-1) experimental; urgency=medium

  * New upstream release
  * debian/control: use dh12
  * debian/control: bump standard to 4.5.0 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 13 Aug 2020 19:03:38 +0000
