=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Debian Mobcom Maintainers <Debian-mobcom-maintainers@lists.alioth.debian.org>
 Uploaders: Thorsten Alteholz <debian@alteholz.de>,
            Ruben Undheim <ruben.undheim@gmail.com>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                pkg-config,
-               libosmocore-dev (>= 0.12.0)
-Standards-Version: 4.2.1
+               libosmocore-dev (>= 1.3.0)
+Standards-Version: 4.5.0
 Homepage: http://osmocom.org/projects/osmopcu
 Vcs-Browser: https://salsa.debian.org/debian-mobcom-team/osmo-pcu
 Vcs-Git: https://salsa.debian.org/debian-mobcom-team/osmo-pcu.git
