=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 arch = $(shell dpkg-architecture -qDEB_BUILD_ARCH)
 
 %:
-	dh $@ --with autoreconf --fail-missing
+	dh $@ --with autoreconf
 
 
 override_dh_autoreconf:
