## osmo-pcu 0.8.0.48.ac2b

=== debian/changelog ===
osmo-pcu (0.8.0.48.ac2b) UNRELEASED; urgency=medium

  * Snapshot build

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Sun, 09 Feb 2020 01:30:19 +0000
