## osmo-pcu 0.8.0.57.fa5f

=== debian/changelog ===
osmo-pcu (0.8.0.57.fa5f) UNRELEASED; urgency=medium

  * Snapshot build

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Mon, 17 Feb 2020 01:30:22 +0000
