=== debian/control ===
Source: osmo-pcu
Section: net
Priority: optional
Maintainer: Holger Hans Peter Freyther <holger@moiji-mobile.com>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               dh-systemd (>= 1.5),
               autotools-dev,
               pkg-config,
               libosmocore-dev (>= 1.3.0),
               osmo-gsm-manuals-dev
Standards-Version: 3.9.8
Homepage: http://osmocom.org/projects/osmopcu
Vcs-Git: git://git.osmocom.org/osmo-pcu
Vcs-Browser: http://git.osmocom.org/osmo-pcu/

Package: osmo-pcu
Architecture: any
Depends: osmocom-nightly, ${shlibs:Depends}, ${misc:Depends}
Description: Osmocom GPRS/EDGE Packet Control Unit (PCU)
 The GPRS Packet Control Unit is co-located with the GSM BTS or GSM BSC
 in order to provide packet-switched services for 2G (2.5G, 2.75G)
 networks.  OsmoPCU is the Osmocom implementation of this network
 element. It interfaces to osmo-bts via the PCU socket of OsmoBTS
 and via Gb (NS-over-IP) interface with the SGSN such as OsmoSGSN.

Package: osmo-pcu-dbg
Architecture: any
Section: debug
Priority: extra
Depends: osmocom-nightly, osmo-pcu (= ${binary:Version}),
         ${misc:Depends}
Description: Debug symbols for the Osmocom GPRS/EDGE Packet Control Unit (PCU)
 The GPRS Packet Control Unit is co-located with the GSM BTS or GSM BSC
 in order to provide packet-switched services for 2G (2.5G, 2.75G)
 networks.  OsmoPCU is the Osmocom implementation of this network
 element. It interfaces to osmo-bts via the PCU socket of OsmoBTS
 and via Gb (NS-over-IP) interface with the SGSN such as OsmoSGSN.

Package: osmo-pcu-doc
Architecture: all
Section: doc
Priority: optional
Depends: osmocom-nightly, ${misc:Depends}
Description: ${misc:Package} PDF documentation
 Various manuals: user manual, VTY reference manual and/or
 protocol/interface manuals.
