=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: osmo-pcu
 Section: net
 Priority: optional
-Maintainer: Holger Hans Peter Freyther <holger@moiji-mobile.com>
+Maintainer: Osmocom team <openbsc@lists.osmocom.org>
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
                dh-systemd (>= 1.5),
                autotools-dev,
                pkg-config,
-               libosmocore-dev (>= 1.3.0),
-               osmo-gsm-manuals-dev
+               libosmocore-dev (>= 1.5.0),
+               osmo-gsm-manuals-dev (>= 1.1.0)
 Standards-Version: 3.9.8
 Homepage: http://osmocom.org/projects/osmopcu
 Vcs-Git: git://git.osmocom.org/osmo-pcu
@@ -16,7 +16,7 @@
 
 Package: osmo-pcu
 Architecture: any
-Depends: osmocom-nightly, ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-latest, ${shlibs:Depends}, ${misc:Depends}
 Description: Osmocom GPRS/EDGE Packet Control Unit (PCU)
  The GPRS Packet Control Unit is co-located with the GSM BTS or GSM BSC
  in order to provide packet-switched services for 2G (2.5G, 2.75G)
@@ -28,7 +28,7 @@
 Architecture: any
 Section: debug
 Priority: extra
-Depends: osmocom-nightly, osmo-pcu (= ${binary:Version}),
+Depends: osmocom-latest, osmo-pcu (= ${binary:Version}),
          ${misc:Depends}
 Description: Debug symbols for the Osmocom GPRS/EDGE Packet Control Unit (PCU)
  The GPRS Packet Control Unit is co-located with the GSM BTS or GSM BSC
@@ -41,7 +41,7 @@
 Architecture: all
 Section: doc
 Priority: optional
-Depends: osmocom-nightly, ${misc:Depends}
+Depends: osmocom-latest, ${misc:Depends}
 Description: ${misc:Package} PDF documentation
  Various manuals: user manual, VTY reference manual and/or
  protocol/interface manuals.
