=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Maintainer: Osmocom team <openbsc@lists.osmocom.org>
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
-               dh-systemd (>= 1.5),
                autotools-dev,
                pkg-config,
                libosmocore-dev (>= 1.5.0),
