=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
                dh-autoreconf,
                autotools-dev,
                pkg-config,
-               libosmocore-dev (>= 1.5.0),
-               osmo-gsm-manuals-dev (>= 1.1.0)
+               libosmocore-dev (>= 1.6.0),
+               osmo-gsm-manuals-dev (>= 1.2.0)
 Standards-Version: 3.9.8
 Homepage: http://osmocom.org/projects/osmopcu
 Vcs-Git: git://git.osmocom.org/osmo-pcu
