## osmo-pcu 1.1.0

=== debian/changelog ===
osmo-pcu (1.1.0-3build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:11:58 +1100

osmo-pcu (1.1.0-3build1) noble; urgency=medium

  * No-change rebuild against libosmocore19t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 17 Mar 2024 08:50:54 +0000

osmo-pcu (1.1.0-3) unstable; urgency=medium

  * Do not install conflicting systemd units. (Closes: #1054085)
    (Thanks to Helmut Grohne for the patch)

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 19 Oct 2023 18:13:53 +0200

osmo-pcu (1.1.0-2) unstable; urgency=medium

  * upload to unstable

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 11 Oct 2022 22:13:53 +0200

osmo-pcu (1.1.0-1) experimental; urgency=medium

  * New upstream release.
  * debian/control: depend on libosmocore >= 1.7.0

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 03 Oct 2022 11:57:06 +0200

osmo-pcu (1.0.0-2) unstable; urgency=medium

  * upload to unstable (Closes: #1005456)

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 15 Mar 2022 18:13:53 +0100

osmo-pcu (1.0.0-1) experimental; urgency=medium

  * New upstream release
  * debian/control: bump standard to 4.6.0 (no changes)
  * debian/control: depend on libosmocore >= 1.6.0

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 06 Mar 2022 20:13:53 +0000

osmo-pcu (0.9.0-1) UNRELEASED; urgency=medium

  * New upstream release
  * debian/control: use dh13
  * debian/control: bump standard to 4.5.1 (no changes)
  * debian/control: depend on libosmocore >= 1.5.0
  * debian/patches: endianess.patch applied upstream
  * debian/copyright: update

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 17 Aug 2021 20:31:41 +0000
