=== debian/control ===
Source: osmo-pcu
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Mobcom Maintainers <Debian-mobcom-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>,
           Ruben Undheim <ruben.undheim@gmail.com>
Build-Depends: debhelper-compat (= 13),
               pkg-config,
               libosmocore-dev (>= 1.7.0)
Standards-Version: 4.6.1
Homepage: http://osmocom.org/projects/osmopcu
Vcs-Browser: https://salsa.debian.org/debian-mobcom-team/osmo-pcu
Vcs-Git: https://salsa.debian.org/debian-mobcom-team/osmo-pcu.git

Package: osmo-pcu
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Osmocom GPRS/EDGE Packet Control Unit (PCU)
 The GPRS Packet Control Unit is co-located with the GSM BTS or GSM BSC
 in order to provide packet-switched services for 2G (2.5G, 2.75G)
 networks.  OsmoPCU is the Osmcoom implementation of this network
 element. It interfaces to osmo-bts via the PCU socket of OsmoBTS
 and via Gb (NS-over-IP) interface with the SGSN such as OsmoSGSN.
