=== debian/watch ===
version=4
opts="mode=git, dversionmangle=s/\+ds//" git://git.osmocom.org/osmo-pcu refs/tags/([\d\.]+) debian uupdate
